function Create(self)
	self.IsGuided = false;

    local curdist = 80;
    for actor in MovableMan.Actors do
		local avgx = actor.Pos.X - self.Pos.X;
		local avgy = actor.Pos.Y - self.Pos.Y;
		local dist = math.sqrt(avgx ^ 2 + avgy ^ 2);
		if dist < curdist then
			curdist = dist;
			self.aimer = actor;
		end
    end

    --If the projectiles has no firer, make it teamless
    if MovableMan:IsActor(self.aimer) then
		self.Team = self.aimer.Team;
    else
		self.Team = -1;
    end
end

function Destroy(self)
end

function Update(self)
	local water = false
	if WaterHeight ~= nil then
		water = true
	end
	if water == true and self.Pos.Y + self.Vel.Y > WaterHeight then
	--Accelerate and turn on booster when underwater.
		self:EnableEmission(true);
	else
	--Turn off booster if not in water.
		self:EnableEmission(false);
	end
	
	--Manual guide script
	if self.aimer:IsPlayerControlled() == true then
		if self.aimer:GetController():IsMouseControlled() == false then
		   if self.aimer:GetController():IsState(Controller.AIM_SHARP) then
				self.RotAngle = self.aimer:GetAimAngle(true);
				
				IsGuided = true;
				
				local theta = ToActor(self.aimer):GetAimAngle(true);
				self.Vel = Vector(math.cos(theta), -1* math.sin(theta)):SetMagnitude(13); --N is the constant vel of the object.

				--self.ToSettle = false;
			else
				IsGuided = false;
			end
		else
			if self.aimer:GetController():IsState(Controller.BODY_CROUCH) then
				self.RotAngle = self.aimer:GetAimAngle(true);
				
				IsGuided = true;

				local theta = ToActor(self.aimer):GetAimAngle(true);
				self.Vel = Vector(math.cos(theta), -1* math.sin(theta)):SetMagnitude(13); --N is the constant vel of the object.

				--self.ToSettle = false;
			else
				IsGuided = false;
			end
		end
	end
	
	if IsGuided == true then
		SceneMan:SetScrollTarget(self.Pos,1,false,0);
	end
end
